mig(1)

NAME
mig - Mach Interface Generator

SYNOPSIS
mig [OPTION]... [FILE]...

DESCRIPTION
This is the GNU implementation of the Mach interface generator 'MiG', which creates Mach RPC stubs from '.defs' files.

-r  Use msg_rpc [default].

-R  Use msg_send.

-q  Suppress warning statements.

-Q  Print warning statements [default].

-v  Verbose.

-V  Compile silently [default].

-s  Generate symbol table in Server.c code.

-S  Suppress symbol table in Server.c code [default].

-i  Generate separate files for each routine.

-server FILE
    Generate server stubs in FILE.

-user FILE
    Generate user stubs in FILE.

-header FILE
    Generate stub header file in FILE.

-list FILE
    Generate list of RPC names and message IDs in FILE.

-n  Suppress default output file names, create only given files.

-migcom
    Use migcom instead of CPP.

Any switches not listed are passed on to the preprocessor, invoked by:

    gcc -E -x c -undef -ansi

REPORTING BUGS
Report bugs to <bug-hurd@gnu.org>.
Request assistance at <help-hurd@gnu.org>.

SEE ALSO
The full documentation for mig is maintained as a Texinfo manual. If the info and mig programs are properly installed at your site, the command

    info mig

should give you access to the complete manual.